Name:           mediastreamer
Version:        2.7.3
Release:        1%{?dist}
Summary:        A media streaming library for telephony applications

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.linphone.org/eng/documentation/dev/mediastreamer2.html
Source0:        http://download.savannah.gnu.org/releases/linphone/mediastreamer/%{name}-%{version}.tar.gz
Patch0:         mediastreamer-2.7.3-videodev.patch

BuildRequires:  doxygen
BuildRequires:  speex-devel
BuildRequires:  gsm-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  libXv-devel
BuildRequires:  ortp-devel >= 0.16.2
BuildRequires:  libtheora-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  libv4l-devel
BuildRequires:  openssl-devel

%description
Mediastreamer2 is a GPL licensed library to make audio and video
real-time streaming and processing. Written in pure C, it is based
upon the oRTP library.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       ortp-devel >= 0.16.2
Requires:       openssl-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%if 0%{?fedora} >= 15
%patch0 -p1
%endif


%build
%configure --disable-static --datadir=%{_libdir}/%{name}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

mkdir $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/%{name}
%{_libdir}/libmediastreamer.so.1*
%{_libexecdir}/mediastream

%files devel
%defattr(-,root,root,-)
%doc help/doc/html
%exclude %{_docdir}/%{name}
%{_includedir}/mediastreamer2
%{_libdir}/libmediastreamer.so
%{_libdir}/pkgconfig/mediastreamer.pc


%changelog
* Tue Mar 29 2011 Alexey Kurov <nucleo@fedoraproject.org> - 2.7.3-1
- Initial RPM release
